import java.util.Scanner;

public class Plotter {
	public static void main(String [] args){

		final int X = 10;
		Scanner tastiera = new Scanner(System.in);
		int[][] curves = new int [2][X];
		boolean intersect;
		
		// leggo prima curva
		for(int j=0; j<X; j++){
			curves[0][j]=tastiera.nextInt();
		}
		
		// leggo la seconda, ripeto se interseca		
		do{
			intersect=false;
			for(int j=0; j<X; j++){
				curves[1][j]=tastiera.nextInt();
				if(j>0){
					// controllo se interseca la precedente
					if ((curves[0][j]-curves[1][j])*(curves[0][j-1]-curves[1][j-1])<0){
						intersect=true;
						break;
					}
				}
			}
		}while(intersect);
			
		// trovo la massima altezza (e stampo vettori)
		int maxy=0;
		for(int j=0; j<X; j++){
			System.out.println(curves[0][j]);	
			if (curves[0][j]>maxy) maxy=curves[0][j];
			if (curves[1][j]>maxy) maxy=curves[1][j];
		}
		
		// stampo il grafico, riga per riga da sotto a sopra			
		String plot = "---------------------->";
		String plotrow;
		for(int r=0; r<=maxy; r++){
			plotrow = "|";
			for(int c=0; c<X; c++){
				plotrow = plotrow + (curves[0][c]==r ? " *" : (curves[1][c]==r ? " +" :  "  "));
			}
			plot = plotrow + "\n" + plot;				
		}
		plot = "^\n|\n" + plot;		
		
		// stampo il grafico
		System.out.println(plot);		
	}
}
