# Plotter

*nome del file sorgente: Plotter.java*

Nel programma "Plotter" una curva è definita da un array di 10 interi positivi. Specificatamente, l'intero contenuto alla posizione *i* rappresenta l'ordinata (*y*) della curva all'ascissa *x=i*.

Si implementi un programma Java che:

1. acquisisca una prima curva;
2. acquisisca una seconda curva che non intersechi quella precedentemente inserita (l'acquisizione viene ripetuta fino a che non viene inserita una curva valida);
3. stampi un grafico contenente le due curve dove i punti della prima siano indicati con il simbolo *, mentre quelli della seconda con il simbolo +.


## Esempio

Inserendo questi dieci valori per la prima curva:

		7 8 9 10 10 10 11 9 8 7


e questi dieci valori per la seconda curva (che non interseca la prima):

		2 1 2 1 2 1 2 1 2 1

il programma stampa questo grafico:


		^
		|
		|             *      
		|       * * *        
		|     *         *    
		|   *             *  
		| *                 *
		|                    
		|                    
		|                    
		|                    
		| +   +   +   +   +  
		|   +   +   +   +   +
		|                    
		---------------------->
